FROM microsoft/dotnet:2.2-sdk AS build-env
WORKDIR /app

# Copy dependencies and project
COPY Common/ ./Common/
COPY Database/UserDatabase/ ./Database/UserDatabase/
COPY WebServices/UserWebService/ ./WebServices/UserWebService/

# Restore as distinct layers
RUN dotnet restore WebServices/UserWebService/UserWebService.csproj

# Copy everything else and build
RUN dotnet publish WebServices/UserWebService/UserWebService.csproj -c Release -o ../../out

WORKDIR /app/out

ENTRYPOINT ["dotnet", "UserWebService.dll"]
EXPOSE 5001
